Package com.omnisci.thrift.server

## Class TGpuSpecification

- java.lang.Object
- - com.omnisci.thrift.server.TGpuSpecification

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TGpuSpecification>`, `org.apache.thrift.TBase<TGpuSpecification,​TGpuSpecification._Fields>`, `org.apache.thrift.TSerializable`

    public class TGpuSpecification
    extends Object
    implements org.apache.thrift.TBase<TGpuSpecification,​TGpuSpecification._Fields>, Serializable, Cloneable, Comparable<TGpuSpecification>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TGpuSpecification._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`long` `clock_frequency_kHz`
`short` `compute_capability_major`
`short` `compute_capability_minor`
`long` `memory`
`static Map<TGpuSpecification._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`int` `num_sm`

### Constructor Summary

Constructors
`TGpuSpecification()`
`TGpuSpecification​(int num_sm, long clock_frequency_kHz, long memory, short compute_capability_major, short compute_capability_minor)`
`TGpuSpecification​(TGpuSpecification other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TGpuSpecification other)`
`TGpuSpecification` `deepCopy()`
`boolean` `equals​(TGpuSpecification that)`
`boolean` `equals​(Object that)`
`TGpuSpecification._Fields` `fieldForId​(int fieldId)`
`long` `getClock_frequency_kHz()`
`short` `getCompute_capability_major()`
`short` `getCompute_capability_minor()`
`Object` `getFieldValue​(TGpuSpecification._Fields field)`
`long` `getMemory()`
`int` `getNum_sm()`
`int` `hashCode()`
`boolean` `isSet​(TGpuSpecification._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetClock_frequency_kHz()` Returns true if field clock_frequency_kHz is set (has been assigned a value) and false otherwise
`boolean` `isSetCompute_capability_major()` Returns true if field compute_capability_major is set (has been assigned a value) and false otherwise
`boolean` `isSetCompute_capability_minor()` Returns true if field compute_capability_minor is set (has been assigned a value) and false otherwise
`boolean` `isSetMemory()` Returns true if field memory is set (has been assigned a value) and false otherwise
`boolean` `isSetNum_sm()` Returns true if field num_sm is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TGpuSpecification` `setClock_frequency_kHz​(long clock_frequency_kHz)`
`void` `setClock_frequency_kHzIsSet​(boolean value)`
`TGpuSpecification` `setCompute_capability_major​(short compute_capability_major)`
`void` `setCompute_capability_majorIsSet​(boolean value)`
`TGpuSpecification` `setCompute_capability_minor​(short compute_capability_minor)`
`void` `setCompute_capability_minorIsSet​(boolean value)`
`void` `setFieldValue​(TGpuSpecification._Fields field, Object value)`
`TGpuSpecification` `setMemory​(long memory)`
`void` `setMemoryIsSet​(boolean value)`
`TGpuSpecification` `setNum_sm​(int num_sm)`
`void` `setNum_smIsSet​(boolean value)`
`String` `toString()`
`void` `unsetClock_frequency_kHz()`
`void` `unsetCompute_capability_major()`
`void` `unsetCompute_capability_minor()`
`void` `unsetMemory()`
`void` `unsetNum_sm()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### num_sm

    public int num_sm

#### clock_frequency_kHz

    public long clock_frequency_kHz

#### memory

    public long memory

#### compute_capability_major

    public short compute_capability_major

#### compute_capability_minor

    public short compute_capability_minor

#### metaDataMap

    public static final Map<TGpuSpecification._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TGpuSpecification

    public TGpuSpecification()

#### TGpuSpecification

    public TGpuSpecification​(int num_sm,
                             long clock_frequency_kHz,
                             long memory,
                             short compute_capability_major,
                             short compute_capability_minor)

#### TGpuSpecification

    public TGpuSpecification​(TGpuSpecification other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TGpuSpecification deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TGpuSpecification,​TGpuSpecification._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TGpuSpecification,​TGpuSpecification._Fields>`

#### getNum_sm

    public int getNum_sm()

#### setNum_sm

    public TGpuSpecification setNum_sm​(int num_sm)

#### unsetNum_sm

    public void unsetNum_sm()

#### isSetNum_sm

    public boolean isSetNum_sm()

Returns true if field num_sm is set (has been assigned a value) and false otherwise

#### setNum_smIsSet

    public void setNum_smIsSet​(boolean value)

#### getClock_frequency_kHz

    public long getClock_frequency_kHz()

#### setClock_frequency_kHz

    public TGpuSpecification setClock_frequency_kHz​(long clock_frequency_kHz)

#### unsetClock_frequency_kHz

    public void unsetClock_frequency_kHz()

#### isSetClock_frequency_kHz

    public boolean isSetClock_frequency_kHz()

Returns true if field clock_frequency_kHz is set (has been assigned a value) and false otherwise

#### setClock_frequency_kHzIsSet

    public void setClock_frequency_kHzIsSet​(boolean value)

#### getMemory

    public long getMemory()

#### setMemory

    public TGpuSpecification setMemory​(long memory)

#### unsetMemory

    public void unsetMemory()

#### isSetMemory

    public boolean isSetMemory()

Returns true if field memory is set (has been assigned a value) and false otherwise

#### setMemoryIsSet

    public void setMemoryIsSet​(boolean value)

#### getCompute_capability_major

    public short getCompute_capability_major()

#### setCompute_capability_major

    public TGpuSpecification setCompute_capability_major​(short compute_capability_major)

#### unsetCompute_capability_major

    public void unsetCompute_capability_major()

#### isSetCompute_capability_major

    public boolean isSetCompute_capability_major()

Returns true if field compute_capability_major is set (has been assigned a value) and false otherwise

#### setCompute_capability_majorIsSet

    public void setCompute_capability_majorIsSet​(boolean value)

#### getCompute_capability_minor

    public short getCompute_capability_minor()

#### setCompute_capability_minor

    public TGpuSpecification setCompute_capability_minor​(short compute_capability_minor)

#### unsetCompute_capability_minor

    public void unsetCompute_capability_minor()

#### isSetCompute_capability_minor

    public boolean isSetCompute_capability_minor()

Returns true if field compute_capability_minor is set (has been assigned a value) and false otherwise

#### setCompute_capability_minorIsSet

    public void setCompute_capability_minorIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TGpuSpecification._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TGpuSpecification,​TGpuSpecification._Fields>`

#### getFieldValue

    public Object getFieldValue​(TGpuSpecification._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TGpuSpecification,​TGpuSpecification._Fields>`

#### isSet

    public boolean isSet​(TGpuSpecification._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TGpuSpecification,​TGpuSpecification._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TGpuSpecification that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TGpuSpecification other)

Specified by:
  `compareTo` in interface `Comparable<TGpuSpecification>`

#### fieldForId

    public TGpuSpecification._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TGpuSpecification,​TGpuSpecification._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`